import 'dart:async';
import 'package:cloud_firestore/cloud_firestore.dart';

class FirestoreService {
  final Query query;

  FirestoreService(this.query) {
    query.snapshots().listen((event) {
      final List<Map<String, dynamic>> data = [for (final doc in event.docs) doc.data() as Map<String, dynamic>];

      _streamController.add(data);
    });
  }

  final StreamController<List<Map<String, dynamic>>> _streamController = StreamController<List<Map<String, dynamic>>>();

  Stream<List<Map<String, dynamic>>> get dataStream => _streamController.stream;
}